#ifndef GLOBAL_OPTIONS_HPP
#define GLOBAL_OPTIONS_HPP

#include "option.hpp"

class GlobalOptions
{
private:
  GlobalOptions();

  static GlobalOptions* instance;
  
public:
  //global
  Option *dir_order;
  Option *cd_device;

  // singleton
  static GlobalOptions* get_instance();

  ~GlobalOptions();
};

#endif
